package com.change.freevpn.models;

import com.google.gson.annotations.SerializedName;

public class ConnectResponse {
    @SerializedName("success")
    private boolean success;
    
    @SerializedName("data")
    private Data data;

    public boolean isSuccess() {
        return success;
    }

    public Data getData() {
        return data;
    }

    public static class Data {
        @SerializedName("ovpn_config")
        private String ovpnConfig;
        
        @SerializedName("configuration")
        private String configuration;

        public String getOvpnConfig() {
            return ovpnConfig != null ? ovpnConfig : configuration;
        }
    }
}
